Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.codebase
Class CodebaseInterceptorInitializer

    java.lang.Object
      org.omg.CORBA.LocalObject
          org.jboss.iiop.codebase.CodebaseInterceptorInitializer

All Implemented Interfaces:
  IDLEntity, Object, ORBInitializer, ORBInitializerOperations, Serializable

public class CodebaseInterceptorInitializer
extends LocalObject
implements ORBInitializer

Implements an `org.omg.PortableInterceptor.ORBinitializer` that installs a `CodebaseInterceptor` and a `CodebasePolicyFactory`.

Version:
  $Revision: 1.3 $
Author:
  Francisco Reverbel
See Also:
  Serialized Form

Constructor Summary
`CodebaseInterceptorInitializer()`

Method Summary
`void` | `post_init(ORBInitInfo info)`
`void` | `pre_init(ORBInitInfo info)`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### CodebaseInterceptorInitializer

    public CodebaseInterceptorInitializer()

Method Detail

### pre_init

    public void pre_init(ORBInitInfo info)

  Specified by:
    `pre_init` in interface `ORBInitializerOperations`

### post_init

    public void post_init(ORBInitInfo info)

  Specified by:
    `post_init` in interface `ORBInitializerOperations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.